IndexHelper.IndexInfo.Serializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable

## Class IndexHelper.IndexInfo.Serializer

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexHelper.IndexInfo.Serializer

- All Implemented Interfaces:
    ISerializer<IndexHelper.IndexInfo>
  Enclosing class:
    IndexHelper.IndexInfo

      public static class IndexHelper.IndexInfo.Serializer
      extends java.lang.Object
      implements ISerializer<IndexHelper.IndexInfo>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer(CType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexHelper.IndexInfo` | `deserialize(java.io.DataInput in)` Deserialize from the specified DataInput instance.
    `void` | `serialize(IndexHelper.IndexInfo info, DataOutputPlus out)` Serialize the specified type into the specified DataOutput instance.
    `long` | `serializedSize(IndexHelper.IndexInfo info, TypeSizes typeSizes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer(CType type)

  - ### Method Detail

    - #### serialize

          public void serialize(IndexHelper.IndexInfo info,
                                DataOutputPlus out)
                         throws java.io.IOException

      Description copied from interface: `ISerializer`
      Serialize the specified type into the specified DataOutput instance.
      Specified by:
        `serialize` in interface `ISerializer<IndexHelper.IndexInfo>`
      Parameters:
        `info` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
      Throws:
        `java.io.IOException`

    - #### deserialize

          public IndexHelper.IndexInfo deserialize(java.io.DataInput in)
                                            throws java.io.IOException

      Description copied from interface: `ISerializer`
      Deserialize from the specified DataInput instance.
      Specified by:
        `deserialize` in interface `ISerializer<IndexHelper.IndexInfo>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(IndexHelper.IndexInfo info,
                                     TypeSizes typeSizes)

      Specified by:
        `serializedSize` in interface `ISerializer<IndexHelper.IndexInfo>`

Copyright © 2018 The Apache Software Foundation